Package wx :: Class SysColourChangedEvent

[frames | no frames]

## Type SysColourChangedEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    SysColourChangedEvent

This class is used for EVT_SYS_COLOUR_CHANGED, which are generated when the user changes the colour settings using the control panel. This is only applicable under Windows.

The default event handler for this event propagates the event to child windows, since Windows only sends the events to top-level windows. If intercepting this event for a top-level window, remember to call `Skip` so the the base class handler will still be executed, or to pass the event on to the window's children explicitly.

Method Summary
SysColourChangedEvent | ``__init__`(self)` Constructor

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

Constructor

  Returns:
    SysColourChangedEvent
  Overrides:
    `wx.Event.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:23 2007 | http://epydoc.sf.net